Bug 341356 - Not getting the new Versions of digikam
Summary: Not getting the new Versions of digikam
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Bundle-MacOS (show other bugs)
Version: 4.0.0
Platform: MacPorts Packages macOS
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 13:19 UTC by Detlef
Modified: 2017-08-08 06:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Detlef 2014-11-28 13:19:13 UTC
Since April 2014 I use digikam installed via Macport. On your homepage "www.digikam.org" you announce Version 4.3.0 with a picture of Mac OSX but in the Macports list there is only the version 4.0.0. How is it possible to install the newer version. The version 4.0.0 is only a Beta-version and not good in image-editoring. Please tell me what I can do to get a newer version.

Sincerely Detlef Dürr

Reproducible: Always

Steps to Reproduce:
1. sudo port list digik*
2.
3.

Actual Results:  
digikam                        @4.0.0          kde/digikam

Expected Results:  
digikam                        @4.3.0          kde/digikam or
digikam                        @4.4.0          kde/digikam or
digikam                        @4.5.0          kde/digikam
Comment 1 caulier.gilles 2014-11-28 13:34:50 UTC
Current implementation of digiKam can be compiled under macport following instructions here (see tutorial) :

https://www.digikam.org/download?q=download/binary/

If you want to Macports based package, there is a file in MAcports bugzilla about this topic :

https://trac.macports.org/ticket/45107

MAcports team is late to update port file and also a pre-compiled package ! There is a farm in Macports with pre-compiled file, and digiKam is not included due to license problem with eigen3 shared lib (if i rememeber). This is completly a wrong argument as Eigen3 is an optional dependency !

So to resume, ask support to Macports team.

Gilles Caulier
Comment 2 caulier.gilles 2015-06-22 19:28:18 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Gilles Caulier